From 7c962f549a334ce558fd90e233e32f41cc6d0c9a Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Sun, 7 Jul 2019 12:11:12 +0200
Subject: [PATCH 1/2] rpcsvc-proto: fix cross

---
 srcpkgs/rpcsvc-proto/template | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/rpcsvc-proto/template b/srcpkgs/rpcsvc-proto/template
index 7c4ff304770..116b12ad5ad 100644
--- a/srcpkgs/rpcsvc-proto/template
+++ b/srcpkgs/rpcsvc-proto/template
@@ -11,7 +11,14 @@ changelog="https://raw.githubusercontent.com/thkukuk/rpcsvc-proto/master/ChangeL
 distfiles="https://github.com/thkukuk/rpcsvc-proto/releases/download/v${version}/rpcsvc-proto-${version}.tar.gz"
 checksum=867e46767812784d8dda6d8d931d6fabb30168abb02d87a2a205be6d5a2934a7
 
-nocross="runs rpsvc binary compiled against the target system on the host machine"
+pre_build() {
+	if [ "$CROSS_BUILD" ]; then
+		make -C rpcgen CC=${CC_host} CFLAGS="${XBPS_CFLAGS}" LDFLAGS="${XBPS_LDFLAGS}"
+		cp rpcgen/rpcgen rpcgen/rpcgen-host
+		make -C rpcgen clean
+		sed -i -e 's!rpcgen/rpcgen!rpcgen/rpcgen-host!' rpcsvc/Makefile.in
+	fi
+}
 
 post_install() {
 	vlicense COPYING

From 01b50ec75bfda46ebfdda2af46cc08d90bc9d77b Mon Sep 17 00:00:00 2001
From: Helmut Pozimski <helmut@pozimski.eu>
Date: Sun, 7 Jul 2019 12:12:11 +0200
Subject: [PATCH 2/2] autofs: replace rpcgen in hostmakedepends

fixes #12842
---
 srcpkgs/autofs/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/autofs/template b/srcpkgs/autofs/template
index 06bfff44c0a..6b9a6477107 100644
--- a/srcpkgs/autofs/template
+++ b/srcpkgs/autofs/template
@@ -1,12 +1,12 @@
 # Template file for 'autofs'
 pkgname=autofs
 version=5.1.5
-revision=3
+revision=4
 build_style=gnu-configure
 make_build_args="DONTSTRIP=1"
 configure_args="--with-libtirpc --with-mapdir=/etc/autofs --sbindir=/usr/bin"
 conf_files="/etc/autofs/*"
-hostmakedepends="pkg-config flex kmod rpcgen"
+hostmakedepends="pkg-config flex kmod rpcsvc-proto"
 makedepends="libtirpc-devel libxml2-devel"
 short_desc="Kernel-based automounter for Linux"
 maintainer="Helmut Pozimski <helmut@pozimski.eu>"
